## plasma-wayland-protocols 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(PlasmaWaylandProtocols VERSION 1.1.1)

include(FeatureSummary)
include(CMakePackageConfigHelpers)

# ECM setup
find_package(ECM 5.69.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/Modules)
include(KDEInstallDirs)
include(ECMSetupVersion)

add_subdirectory(src)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/PlasmaWaylandProtocols")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/PlasmaWaylandProtocolsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/PlasmaWaylandProtocolsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              PATH_VARS KDE_INSTALL_DATADIR
                              )
ecm_setup_version(PROJECT VARIABLE_PREFIX PLASMA_WAYLAND_PROTOCOLS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/plasma_wayland_protocols_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/PlasmaWaylandProtocolsConfigVersion.cmake"
                        SOVERSION 5)

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/PlasmaWaylandProtocolsConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/PlasmaWaylandProtocolsConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
install(FILES
    protocols/appmenu.xml
    protocols/blur.xml
    protocols/contrast.xml
    protocols/dpms.xml
    protocols/fake-input.xml
    protocols/fullscreen-shell.xml
    protocols/idle.xml
    protocols/keystate.xml
    protocols/outputdevice.xml
    protocols/output-management.xml
    protocols/plasma-shell.xml
    protocols/plasma-virtual-desktop.xml
    protocols/plasma-window-management.xml
    protocols/remote-access.xml
    protocols/screencast.xml
    protocols/server-decoration-palette.xml
    protocols/server-decoration.xml
    protocols/shadow.xml
    protocols/slide.xml
    protocols/surface-extension.xml
    protocols/text-input-unstable-v2.xml
    protocols/text-input.xml
    protocols/wayland-eglstream-controller.xml

    DESTINATION ${KDE_INSTALL_DATADIR}/plasma-wayland-protocols)

=== debian/changelog ===
plasma-wayland-protocols (1.1.1-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Pino Toscano ]
  * Release to unstable.

 -- Pino Toscano <pino@debian.org>  Fri, 09 Oct 2020 08:06:34 +0200

plasma-wayland-protocols (1.1.1-1) experimental; urgency=medium

  * Initial packaging.

 -- Pino Toscano <pino@debian.org>  Tue, 18 Aug 2020 20:03:01 +0200

=== debian/control ===
Source: plasma-wayland-protocols
Section: libdevel
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.69.0~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/libraries/plasma-wayland-protocols
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-wayland-protocols
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-wayland-protocols.git

Package: plasma-wayland-protocols
Architecture: any
Depends: ${misc:Depends},
Description: Wayland protocols for Plasma
 This package contains protocols for Wayland that are not standard, and used
 in KDE Plasma.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/plasma-wayland-protocols/([\d.]+)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## plasma-wayland-protocols 1.4.0

=== debian/changelog ===
plasma-wayland-protocols (1.4.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (1.4.0).
  * Bump standards version, no changes needed.

 -- Norbert Preining <norbert@preining.info>  Sun, 05 Sep 2021 17:22:42 +0900

plasma-wayland-protocols (1.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 12:42:26 +0900

plasma-wayland-protocols (1.3.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (1.3.0).
  * Revert to previous signing key, what a mess!

 -- Norbert Preining <norbert@preining.info>  Sun, 02 May 2021 21:20:37 +0900

plasma-wayland-protocols (1.2.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (1.2.1).
  * Adjust watch file for new location.
  * Add myself to uploaders.
  * Update upstream signing key.

 -- Norbert Preining <norbert@preining.info>  Tue, 06 Apr 2021 06:51:38 +0900

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: plasma-wayland-protocols
 Section: libdevel
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Pino Toscano <pino@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.69.0~),
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/libraries/plasma-wayland-protocols
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-wayland-protocols

## plasma-wayland-protocols 1.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(PlasmaWaylandProtocols VERSION 1.1.1)
+project(PlasmaWaylandProtocols VERSION 1.6.0)
 
 include(FeatureSummary)
 include(CMakePackageConfigHelpers)
@@ -16,7 +16,7 @@
 add_subdirectory(src)
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
-set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/PlasmaWaylandProtocols")
+set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/PlasmaWaylandProtocols")
 
 configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/PlasmaWaylandProtocolsConfig.cmake.in"
                               "${CMAKE_CURRENT_BINARY_DIR}/PlasmaWaylandProtocolsConfig.cmake"

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,9 @@
     protocols/keystate.xml
     protocols/outputdevice.xml
     protocols/output-management.xml
+    protocols/kde-primary-output-v1.xml
+    protocols/kde-output-device-v2.xml
+    protocols/kde-output-management-v2.xml
     protocols/plasma-shell.xml
     protocols/plasma-virtual-desktop.xml
     protocols/plasma-window-management.xml

=== debian/changelog ===
plasma-wayland-protocols (1.6.0-1) unstable; urgency=medium

  * New upstream release (1.6.0).
  * Added myself to the uploaders.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 19 Jan 2022 23:25:59 +0100

plasma-wayland-protocols (1.5.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (1.5.0).

 -- Norbert Preining <norbert@preining.info>  Sat, 06 Nov 2021 11:41:48 +0900

plasma-wayland-protocols (1.4.0-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Missing Build-Depens: qt5-qmake. (Closes: #998354).

 -- Norbert Preining <norbert@preining.info>  Thu, 04 Nov 2021 06:35:02 +0900

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: libdevel
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Pino Toscano <pino@debian.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
+           Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.69.0~),
+               qt5-qmake,
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/libraries/plasma-wayland-protocols

## plasma-wayland-protocols 1.8.0

=== debian/changelog ===
plasma-wayland-protocols (1.8.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (1.8.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 12 Sep 2022 07:37:54 +0100

plasma-wayland-protocols (1.7.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Switch the qt5-qmake build dependency to qtbase5-dev, as newer versions of
    extra-cmake-modules need all the development bits of Qt5, not only qmake.
    (Closes: #1011790)

 -- Pino Toscano <pino@debian.org>  Mon, 25 Jul 2022 20:59:15 +0200

plasma-wayland-protocols (1.7.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (1.7.0).
  * Build with hardening=+all build hardening flag.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 May 2022 13:31:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.69.0~),
-               qt5-qmake,
-Standards-Version: 4.6.0
+               qtbase5-dev,
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/libraries/plasma-wayland-protocols
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-wayland-protocols

## plasma-wayland-protocols 1.9.0

=== debian/changelog ===
plasma-wayland-protocols (1.9.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (1.9.0).
  * Update upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 28 Sep 2022 23:46:05 +0200

plasma-wayland-protocols (1.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (1.8.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 06 Sep 2022 22:26:21 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 Package: plasma-wayland-protocols
 Architecture: any
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Description: Wayland protocols for Plasma
  This package contains protocols for Wayland that are not standard, and used
  in KDE Plasma.

## plasma-wayland-protocols 1.10.0

=== debian/changelog ===
plasma-wayland-protocols (1.10.0-1build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 13:11:07 +0200

plasma-wayland-protocols (1.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (1.10.0). This is the same as 1.10 with the correct
    versioning scheme.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 Jan 2023 17:50:59 +0100

plasma-wayland-protocols (1.10-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (1.10).
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 18 Jan 2023 22:47:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: plasma-wayland-protocols
 Section: libdevel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.69.0~),
                qtbase5-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/libraries/plasma-wayland-protocols
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-wayland-protocols

## plasma-wayland-protocols 1.13.0

=== debian/changelog ===
plasma-wayland-protocols (1.13.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (1.13.0).
  * Bump Standards-Version to 4.7.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 25 May 2024 23:23:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: plasma-wayland-protocols
 Section: libdevel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.69.0~),
                qtbase5-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/libraries/plasma-wayland-protocols
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-wayland-protocols

## plasma-wayland-protocols 1.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,10 @@
+# SPDX-FileCopyrightText: 2020 Aleix Pol Gonzalez <aleixpol@kde.org>
+#
+# SPDX-License-Identifier: BSD-3-Clause
+
 cmake_minimum_required(VERSION 3.5)
 
-project(PlasmaWaylandProtocols VERSION 1.6.0)
+project(PlasmaWaylandProtocols VERSION 1.14.0)
 
 include(FeatureSummary)
 include(CMakePackageConfigHelpers)

=== debian/changelog ===
plasma-wayland-protocols (1.14.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (1.14.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 Sep 2024 23:17:18 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 Package: plasma-wayland-protocols
 Architecture: any
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: Wayland protocols for Plasma
  This package contains protocols for Wayland that are not standard, and used
  in KDE Plasma.

## plasma-wayland-protocols 1.16.0

=== debian/changelog ===
plasma-wayland-protocols (1.16.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (1.16.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 11 Jan 2025 23:12:09 +0100

plasma-wayland-protocols (1.15.0-2) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Mark tests as flaky on mips64el.

 -- Sandro Knauß <hefee@debian.org>  Sun, 22 Dec 2024 15:22:27 +0100

plasma-wayland-protocols (1.15.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (1.15.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Dec 2024 14:43:55 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.69.0~),
+               libwayland-dev,
                qtbase5-dev,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

flaky_tests_archs := mips64el

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH), $(filter $(DEB_HOST_ARCH), $(flaky_tests_archs)))
	- dh_auto_test --no-parallel
else:
	dh_auto_test --no-parallel
endif

## plasma-wayland-protocols 1.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.5)
 
-project(PlasmaWaylandProtocols VERSION 1.14.0)
+project(PlasmaWaylandProtocols VERSION 1.17.0)
 
 include(FeatureSummary)
 include(CMakePackageConfigHelpers)
@@ -15,9 +15,16 @@
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/Modules)
 include(KDEInstallDirs)
+include(KDECMakeSettings)
 include(ECMSetupVersion)
 
 add_subdirectory(src)
+
+if (BUILD_TESTING)
+    find_package(WaylandScanner REQUIRED)
+    find_package(Wayland COMPONENTS Client REQUIRED)
+    add_subdirectory(autotests)
+endif()
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/PlasmaWaylandProtocols")

=== debian/changelog ===
plasma-wayland-protocols (1.17.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the upstream GPG keys with the key of Bhushan Shah.

 -- Pino Toscano <pino@debian.org>  Fri, 04 Apr 2025 09:33:33 +0200

plasma-wayland-protocols (1.16.0-3) unstable; urgency=medium

  * Fix typo in debian/rules that completely disabled the execution of the
    tests on architectures not marked as flaky (i.e. everything but mips64el).
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Mar 2025 08:53:25 +0100

plasma-wayland-protocols (1.16.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Build using Qt6.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 24 Feb 2025 23:20:55 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.69.0~),
                libwayland-dev,
-               qtbase5-dev,
-Standards-Version: 4.7.0
+               qt6-base-dev,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/libraries/plasma-wayland-protocols
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-wayland-protocols

## plasma-wayland-protocols 1.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.5)
 
-project(PlasmaWaylandProtocols VERSION 1.17.0)
+project(PlasmaWaylandProtocols VERSION 1.18.0)
 
 include(FeatureSummary)
 include(CMakePackageConfigHelpers)

=== debian/changelog ===
plasma-wayland-protocols (1.18.0-0ubuntu1~tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Tue, 26 Aug 2025 15:29:38 +0200

plasma-wayland-protocols (1.18.0-0ubuntu1) questing; urgency=medium

  * New upstream release (1.18.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 15 May 2025 08:31:32 +0100

plasma-wayland-protocols (1.17.0+git20250514.0400-0ubuntu1) questing; urgency=medium

  * New git snapshot.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 May 2025 04:55:41 +0100

plasma-wayland-protocols (1.17.0+git20250504.1347-0ubuntu1) questing; urgency=medium

  * New git snapshot.

 -- Rik Mills <rikmills@kde.org>  Sun, 04 May 2025 13:44:55 +0100

## plasma-wayland-protocols 1.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.5)
 
-project(PlasmaWaylandProtocols VERSION 1.18.0)
+project(PlasmaWaylandProtocols VERSION 1.19.0)
 
 include(FeatureSummary)
 include(CMakePackageConfigHelpers)

=== autotests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2024 David Redondo <kde@david-redondo.de>

file(GLOB PROTOCOLS CONFIGURE_DEPENDS ${PROJECT_SOURCE_DIR}/src/protocols/*.xml)

foreach(PROTOCOL IN LISTS PROTOCOLS)
    get_filename_component(PROTOCOL_BASENAME ${PROTOCOL} NAME_WE)
    set(CLIENT_HEADER  ${PROTOCOL_BASENAME}-client-protocol.h)
    set(SERVER_HEADER ${PROTOCOL_BASENAME}-server-protocol.h)
    set(CODE ${PROTOCOL_BASENAME}-protocol.c)
    add_test(NAME ${PROTOCOL_BASENAME}_client-header COMMAND Wayland::Scanner --strict client-header ${PROTOCOL} ${CLIENT_HEADER})
    add_test(NAME ${PROTOCOL_BASENAME}_server-header COMMAND Wayland::Scanner --strict client-header ${PROTOCOL} ${SERVER_HEADER})
    add_test(NAME ${PROTOCOL_BASENAME}_code COMMAND Wayland::Scanner --strict private-code ${PROTOCOL} ${CODE})
    # fail if there is any warning from wayland-scanner, except plasma-window-managment which has preexisting issues
    if (NOT ${PROTOCOL_BASENAME} STREQUAL "plasma-window-management")
        set_tests_properties(${PROTOCOL_BASENAME}_client-header ${PROTOCOL_BASENAME}_server-header ${PROTOCOL_BASENAME}_code PROPERTIES FAIL_REGULAR_EXPRESSION ".+")
    endif()
    configure_file(build.c build-${PROTOCOL_BASENAME}.c @ONLY)
    add_test(NAME ${PROTOCOL_BASENAME}_build COMMAND ${CMAKE_C_COMPILER} build-${PROTOCOL_BASENAME}.c ${CODE} -I ${Wayland_INCLUDE_DIRS} -Wl,--unresolved-symbols=ignore-all)
endforeach()

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Aleix Pol Gonzalez <aleixpol@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause

install(FILES
    protocols/appmenu.xml
    protocols/blur.xml
    protocols/contrast.xml
    protocols/dpms.xml
    protocols/fake-input.xml
    protocols/fullscreen-shell.xml
    protocols/idle.xml
    protocols/kde-external-brightness-v1.xml
    protocols/kde-lockscreen-overlay-v1.xml
    protocols/kde-output-device-v2.xml
    protocols/kde-output-management-v2.xml
    protocols/kde-output-order-v1.xml
    protocols/kde-primary-output-v1.xml
    protocols/kde-screen-edge-v1.xml
    protocols/keystate.xml
    protocols/org-kde-plasma-virtual-desktop.xml
    protocols/output-management.xml
    protocols/outputdevice.xml
    protocols/plasma-shell.xml
    protocols/plasma-window-management.xml
    protocols/remote-access.xml
    protocols/server-decoration-palette.xml
    protocols/server-decoration.xml
    protocols/shadow.xml
    protocols/slide.xml
    protocols/surface-extension.xml
    protocols/text-input-unstable-v2.xml
    protocols/text-input.xml
    protocols/wayland-eglstream-controller.xml
    protocols/zkde-screencast-unstable-v1.xml

    DESTINATION ${KDE_INSTALL_DATADIR}/plasma-wayland-protocols)

# Backward compatibility for previously used non-standard protocol file names
# TODO KF6 remove
install(FILES protocols/zkde-screencast-unstable-v1.xml RENAME screencast.xml DESTINATION ${KDE_INSTALL_DATADIR}/plasma-wayland-protocols)
install(FILES protocols/org-kde-plasma-virtual-desktop.xml RENAME plasma-virtual-desktop.xml DESTINATION ${KDE_INSTALL_DATADIR}/plasma-wayland-protocols)

=== debian/changelog ===
plasma-wayland-protocols (1.19.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.

 -- Pino Toscano <pino@debian.org>  Sun, 21 Sep 2025 16:04:13 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                libwayland-dev,
                qt6-base-dev,
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://invent.kde.org/libraries/plasma-wayland-protocols
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-wayland-protocols
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-wayland-protocols.git

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,6 @@
 override_dh_auto_test:
 ifeq ($(DEB_HOST_ARCH), $(filter $(DEB_HOST_ARCH), $(flaky_tests_archs)))
 	- dh_auto_test --no-parallel
-else:
+else
 	dh_auto_test --no-parallel
 endif

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/plasma-wayland-protocols/@PACKAGE@[-_]?v?(\d[\-+\.:\~\da-zA-Z]*)@ARCHIVE_EXT@

## plasma-wayland-protocols 1.19.0+p24.04+vstable+git20250926.0526

=== debian/changelog ===
plasma-wayland-protocols (1.19.0+p24.04+vstable+git20250926.0526-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 05:26:24 +0000

plasma-wayland-protocols (1.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Sep 2025 21:24:11 +0000

plasma-wayland-protocols (1.18.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 15 May 2025 21:26:25 +0000

plasma-wayland-protocols (1.17.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Mar 2025 21:24:10 +0000

plasma-wayland-protocols (1.16.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 07 Dec 2024 21:24:40 +0000

plasma-wayland-protocols (1.14.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 25 May 2024 21:24:08 +0000

plasma-wayland-protocols (1.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 13:20:20 +0000

plasma-wayland-protocols (1.11.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Jan 2023 21:24:06 +0000

plasma-wayland-protocols (1.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 18 Jan 2023 21:24:06 +0000

plasma-wayland-protocols (1.9.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Sep 2022 17:14:03 +0000

plasma-wayland-protocols (1.7.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 05 Sep 2021 21:24:04 +0000

plasma-wayland-protocols (1.3.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 01 May 2021 16:10:34 +0000

## plasma-wayland-protocols 1.19.0+p24.04+vstable+git20251003.0301

=== debian/changelog ===
plasma-wayland-protocols (1.19.0+p24.04+vstable+git20251003.0301-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 03 Oct 2025 03:01:44 +0000

## plasma-wayland-protocols 1.19.0+p24.04+vstable+git20251012.0304

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # SPDX-License-Identifier: BSD-3-Clause
 
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.16)
 
 project(PlasmaWaylandProtocols VERSION 1.19.0)
 
@@ -27,7 +27,7 @@
 endif()
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
-set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/PlasmaWaylandProtocols")
+set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_DATAROOTDIR}/cmake/PlasmaWaylandProtocols")
 
 configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/PlasmaWaylandProtocolsConfig.cmake.in"
                               "${CMAKE_CURRENT_BINARY_DIR}/PlasmaWaylandProtocolsConfig.cmake"
@@ -36,8 +36,12 @@
                               )
 ecm_setup_version(PROJECT VARIABLE_PREFIX PLASMA_WAYLAND_PROTOCOLS
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/plasma_wayland_protocols_version.h"
-                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/PlasmaWaylandProtocolsConfigVersion.cmake"
-                        SOVERSION 5)
+                        SOVERSION 5
+)
+write_basic_package_version_file("${CMAKE_CURRENT_BINARY_DIR}/PlasmaWaylandProtocolsConfigVersion.cmake"
+                                 COMPATIBILITY AnyNewerVersion
+                                 ARCH_INDEPENDENT
+)
 
 install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/PlasmaWaylandProtocolsConfig.cmake"
                "${CMAKE_CURRENT_BINARY_DIR}/PlasmaWaylandProtocolsConfigVersion.cmake"

=== debian/changelog ===
plasma-wayland-protocols (1.19.0+p24.04+vstable+git20251012.0304-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 03:04:59 +0000

=== debian/control ===
Source: plasma-wayland-protocols
Section: libdevel
Priority: optional
Uploaders: Pino Toscano <pino@debian.org>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               libwayland-dev,
               pkg-kde-tools-neon,
               qt6-base-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/libraries/plasma-wayland-protocols
Vcs-Git: https://invent.kde.org/neon/kde/plasma-wayland-protocols.git
Vcs-Browser: https://invent.kde.org/neon/kde/plasma-wayland-protocols
Maintainer: Neon CI <neon@kde.org>

Package: plasma-wayland-protocols
Architecture: any
Depends: ${misc:Depends}
Description: Wayland protocols for Plasma
 This package contains protocols for Wayland that are not standard, and used
 in KDE Plasma.

## plasma-wayland-protocols 1.19.0+p24.04+vstable+git20251028.2234

=== debian/changelog ===
plasma-wayland-protocols (1.19.0+p24.04+vstable+git20251028.2234-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 22:34:11 +0000

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>
%:
	dh $@

## plasma-wayland-protocols 1.19.0+p24.04+vstable+git20251218.0111

=== debian/changelog ===
plasma-wayland-protocols (1.19.0+p24.04+vstable+git20251218.0111-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 18 Dec 2025 01:11:49 +0000

## plasma-wayland-protocols 1.19.0+p24.04+vunstable+git20251201.2014

=== debian/changelog ===
plasma-wayland-protocols (1.19.0+p24.04+vunstable+git20251201.2014-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 20:14:56 +0000

## plasma-wayland-protocols 1.19.0+p24.04+vunstable+git20251211.0218

=== debian/changelog ===
plasma-wayland-protocols (1.19.0+p24.04+vunstable+git20251211.0218-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 Dec 2025 02:18:19 +0000

## plasma-wayland-protocols 1.19.0+p24.04+vunstable+git20251218.0102

=== debian/changelog ===
plasma-wayland-protocols (1.19.0+p24.04+vunstable+git20251218.0102-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 18 Dec 2025 01:02:14 +0000

## plasma-wayland-protocols 1.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-project(PlasmaWaylandProtocols VERSION 1.19.0)
+project(PlasmaWaylandProtocols VERSION 1.20.0)
 
 include(FeatureSummary)
 include(CMakePackageConfigHelpers)

=== debian/changelog ===
plasma-wayland-protocols (1.20.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.3, no changes required.
  * Drop Priority: optional, no more needed since dpkg 1.22.13.
  * Drop the flaky tests handling, as it was needed only for mips64el which is
    now discontinued.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
  * Switch to Architecture: all, as now all the content is fully
    architecture-independent.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Feb 2026 11:54:36 +0100

=== debian/control ===
Source: plasma-wayland-protocols
Section: libdevel
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.69.0~),
               libwayland-dev,
               qt6-base-dev,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/libraries/plasma-wayland-protocols
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-wayland-protocols
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-wayland-protocols.git

Package: plasma-wayland-protocols
Architecture: all
Depends: ${misc:Depends},
Description: Wayland protocols for Plasma
 This package contains protocols for Wayland that are not standard, and used
 in KDE Plasma.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	dh_auto_test --no-parallel

## plasma-wayland-protocols 1.20.0+p24.04+vstable+git20260113.2016

=== debian/changelog ===
plasma-wayland-protocols (1.20.0+p24.04+vstable+git20260113.2016-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 20:16:51 +0000

plasma-wayland-protocols (1.20.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 18:14:11 +0000

 plasma-wayland-protocols (1.19.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Sep 2025 21:24:11 +0000

## plasma-wayland-protocols 1.20.0+p24.04+vunstable+git20260113.2016

=== debian/changelog ===
plasma-wayland-protocols (1.20.0+p24.04+vunstable+git20260113.2016-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 20:16:48 +0000
